<template>
  <div>
    <NavBar />
    <b-container class="p-4">
      <b-breadcrumb :items="routeItems" class="text-capitalize" />
      <Nuxt />
    </b-container>
  </div>
</template>

<script setup>
import { useRoute } from '@nuxtjs/composition-api'
import { computed } from 'vue'

const route = useRoute()
const routeItems = computed(() => {
  const paths =
    route.value.fullPath !== '/' ? route.value.fullPath.split('/') : ['']

  if (
    paths[0] === '' &&
    paths[1] &&
    paths[1] !== 'all' &&
    !paths.includes('all')
  )
    paths[0] = 'all'

  if (route.value.fullPath !== '/' && !paths.includes('')) paths.unshift('')

  return paths.map((path, index) => ({
    text: path || 'Home',
    value: index === path.length - 1,
    to: `/${path}`,
  }))
})
</script>
